<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('shop_tariffs', function (Blueprint $table) {
            $table->integer('id', true);
            $table->unsignedSmallInteger('sale_channel_id')->default(0)->index('sale_channel_id');
            $table->unsignedTinyInteger('status_id')->default(0);
            $table->unsignedSmallInteger('tariff_unity_id')->default(0);
            $table->string('name')->nullable();
            $table->string('code', 50)->nullable();
            $table->string('ref', 50)->nullable();
            $table->text('description')->nullable();
            $table->unsignedSmallInteger('created_by')->nullable();
            $table->unsignedSmallInteger('updated_by')->nullable();
            $table->unsignedSmallInteger('deleted_by')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('shop_tariffs');
    }
};
